OpenThreads::Condition Class Reference

This class provides an object-oriented thread condition interface. More...

`#include <Condition>`

## Public Member Functions

| Condition ()
virtual | ~Condition ()
virtual int | wait (Mutex *mutex)
virtual int | wait (Mutex *mutex, unsigned long int ms)
virtual int | signal ()
virtual int | broadcast ()

## Detailed Description

This class provides an object-oriented thread condition interface.

## Constructor & Destructor Documentation

## Condition()

OpenThreads::Condition::Condition | ( |  | ) |

Constructor

Referenced by broadcast().

## ~Condition()

virtual OpenThreads::Condition::~Condition | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## broadcast()

virtual int OpenThreads::Condition::broadcast | ( |  | ) |

virtual

Wake all threads waiting on this condition.

Returns
  0 if normal, -1 if errno set, errno code otherwise.

References Condition().

## signal()

virtual int OpenThreads::Condition::signal | ( |  | ) |

virtual

Signal a SINGLE thread to wake if it's waiting.

Returns
  0 if normal, -1 if errno set, errno code otherwise.

## wait() [1/2]

virtual int OpenThreads::Condition::wait | ( | Mutex * | mutex | ) |

virtual

Wait on a mutex.

## wait() [2/2]

virtual int OpenThreads::Condition::wait | ( | Mutex * | mutex,
|  | unsigned long int | ms )

virtual

Wait on a mutex for a given amount of time (ms)

Returns
  0 if normal, -1 if errno set, errno code otherwise.

The documentation for this class was generated from the following file:

- Condition